## debian-guide 1.1.0

=== Makefile ===
SRCFILES := $(wildcard texfiles/*) $(wildcard texfiles/images/*)
LATEXCMD:= cd build  && latex debian-guide.tex
all: build/frames build/noframes build/debian-guide.ps build/debian-guide.pdf

build: $(SRCFILES)
	-mkdir build build/images
	cp texfiles/*.* build
	cp texfiles/images/*.* build/images

clean:
	-rm -r build
	-find . -name "*~" -exec rm -v {} \;
	-rm -r ++* ,*

build/debian-guide.dvi: $(SRCFILES) build
	$(LATEXCMD)
	$(LATEXCMD)
	$(LATEXCMD)
	cd build && makeindex debian-guide.idx
	$(LATEXCMD)
	$(LATEXCMD)
	$(LATEXCMD)

build/debian-guide.ps: build/debian-guide.dvi
	cd build && dvips -o debian-guide.ps debian-guide.dvi

build/debian-guide.pdf: build/debian-guide.ps
	cd build && ps2pdf14 debian-guide.ps

build/frames: build
	-rm -r build/frames
	mkdir build/frames
	cd build && htlatex debian-guide-html.tex "html,frames,4,next,info" "" "-dframes/"
	cd build && tex '\def\filename{{debian-guide-html}{idx}{4dx}{ind}} \input idxmake.4ht'
	cd build && makeindex -o debian-guide-html.ind debian-guide-html.4dx

	cd build && htlatex debian-guide-html.tex "html,frames,4,next,info" "" "-dframes/"


build/noframes: build
	-rm -r build/noframes
	mkdir build/noframes
	cd build && htlatex debian-guide-html.tex "html,4,next,info" "" "-dnoframes/"
	cd build && tex '\def\filename{{debian-guide-html}{idx}{4dx}{ind}} \input idxmake.4ht'
	cd build && makeindex -o debian-guide-html.ind debian-guide-html.4dx

	cd build && htlatex debian-guide-html.tex "html,4,next,info" "" "-dnoframes/"

## debian-guide 1.0.0

=== debian/changelog ===
debian-guide (1.0.0) unstable; urgency=low

  * Initial Release.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 23 Jun 1999 11:35:02 +1000

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: debian-guide
Section: doc
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Standards-Version: 2.5.0

Package: debian-guide
Architecture: all
Description: Text from: Debian GNU/Linux: Guide to Installation and Usage
 This package will install the full text in HTML and PostScript formats
 from the book "Debian GNU/Linux: Guide to Installation and Usage" by
 Debian developers John Goerzen and Ossama Othman (ISBN 0-7357-0914-9).
 .
 You can find the installed items under /usr/doc/debian-guide.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DOCROOT=debian/tmp/usr/doc/debian-guide

build: build-stamp
build-stamp:
	dh_testdir
	dh_installdirs

	
	# Add here commands to compile the package.
	#$(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	-rm -rf workdir

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	#$(MAKE) install DESTDIR=`pwd`/debian/tmp

	mkdir workdir
	cd workdir && DOCROOT=$(DOCROOT) bash ../build.bash

	touch install-stamp

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	cp workdir/debian-guide.ps $(DOCROOT)
	gzip -9v $(DOCROOT)/debian-guide.ps
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here
	gunzip -v `find $(DOCROOT)/html -name "*.gz"`
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## debian-guide 1.0.1

=== debian/changelog ===
debian-guide (1.0.1) unstable; urgency=low

  * ACK NMU.  Closes: #91425.
  * Fixed the build dependences that the NMU added.  Closes: #94796.
  * Closing other already-fixed bugs.  Closes: #92266, #86901.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 23 Apr 2001 11:12:24 -0500

debian-guide (1.0.0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Changed Standards-version to 3.5.2, added build dependencies.
  * Changed DOCROOT to usr/share/doc. (Closes: #91425)
  * Updated the copyright file.

 -- Ivo Timmermans <ivo@debian.org>  Sun, 15 Apr 2001 22:53:18 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: doc
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Standards-Version: 2.5.0
+Standards-Version: 3.5.2
+Build-Depends-Indep: latex2html, tetex-bin, patch, sharutils, debhelper, tetex-extra, gs, bzip2
 
 Package: debian-guide
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,14 +7,14 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DOCROOT=debian/tmp/usr/doc/debian-guide
+DOCROOT=debian/tmp/usr/share/doc/debian-guide
 
 build: build-stamp
 build-stamp:
 	dh_testdir
 	dh_installdirs
 
-	
+
 	# Add here commands to compile the package.
 	#$(MAKE) 
 
@@ -72,7 +72,7 @@
 	dh_compress
 	dh_fixperms
 	# You may want to make some executables suid here
-	gunzip -v `find $(DOCROOT)/html -name "*.gz"`
+	gunzip -v `find $(DOCROOT)/html -name "*.gz"` || true
 	dh_suidregister
 #	dh_makeshlibs
 	dh_installdeb

## debian-guide 1.1.0

=== debian/changelog ===
debian-guide (1.1.0) unstable; urgency=low

  * Switched to tex4ht since latex2html is non-free.  Closes: #221329.
  * Major update of build system.  No longer uses tar.bz2 and patch files.
  * Updated dependencies for tex4ht.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  6 Jan 2004 10:46:31 -0600

debian-guide (1.0.2) unstable; urgency=low

  * Updated description with /usr/share/doc to match existing
    installed location.  Closes: #215033.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 10 Oct 2003 11:34:57 -0500

=== debian/control ===
Source: debian-guide
Section: doc
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Standards-Version: 3.5.2
Build-Depends-Indep: tetex-bin, tetex-base, debhelper (>= 4.1.81), tetex-extra, gs, imagemagick, netpbm, gs

Package: debian-guide
Architecture: all
Description: Text from: Debian GNU/Linux: Guide to Installation and Usage
 This package will install the full text in HTML and PostScript formats
 from the book "Debian GNU/Linux: Guide to Installation and Usage" by
 Debian developers John Goerzen and Ossama Othman (ISBN 0-7357-0914-9).
 .
 You can find the installed items under /usr/share/doc/debian-guide.

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 
 	# Add here commands to compile the package.
-	#$(MAKE) 
+	$(MAKE) 
 
 	touch build-stamp
 
@@ -28,8 +28,6 @@
 	# Add here commands to clean up after the build process.
 	-$(MAKE) clean
 
-	-rm -rf workdir
-
 	dh_clean
 
 install: install-stamp
@@ -39,11 +37,11 @@
 	dh_clean -k
 	dh_installdirs
 
+	cp build/*.{pdf,ps} $(DOCROOT)
+	cp -r build/noframes $(DOCROOT)/html
+	cp -r build/frames $(DOCROOT)/html
 	# Add here commands to install the package into debian/tmp.
 	#$(MAKE) install DESTDIR=`pwd`/debian/tmp
-
-	mkdir workdir
-	cd workdir && DOCROOT=$(DOCROOT) bash ../build.bash
 
 	touch install-stamp
 
@@ -56,8 +54,6 @@
 #	dh_testversion
 	dh_testdir
 	dh_testroot
-	cp workdir/debian-guide.ps $(DOCROOT)
-	gzip -9v $(DOCROOT)/debian-guide.ps
 	dh_installdocs
 	dh_installexamples
 	dh_installmenu
@@ -66,13 +62,13 @@
 	dh_installcron
 	dh_installmanpages
 #	dh_undocumented
-	dh_installchangelogs 
+	dh_installchangelogs ChangeLog
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
 	# You may want to make some executables suid here
-	gunzip -v `find $(DOCROOT)/html -name "*.gz"` || true
+	gunzip $(DOCROOT)/*.pdf.gz
 	dh_suidregister
 #	dh_makeshlibs
 	dh_installdeb

=== {arch}/++pristine-trees/unlocked/debian-guide/debian-guide--head/debian-guide--head--1.0/jgoerzen@complete.org--debian/debian-guide--head--1.0--patch-10/debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DOCROOT=debian/tmp/usr/share/doc/debian-guide

build: build-stamp
build-stamp:
	dh_testdir
	dh_installdirs


	# Add here commands to compile the package.
	$(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cp build/*.{pdf,ps} $(DOCROOT)
	cp -r build/noframes $(DOCROOT)/html
	cp -r build/frames $(DOCROOT)/html
	# Add here commands to install the package into debian/tmp.
	#$(MAKE) install DESTDIR=`pwd`/debian/tmp

	touch install-stamp

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here
	gunzip $(DOCROOT)/*.pdf
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
